Package org.apache.commons.math3.linear

# Class OpenMapRealVector.OpenMapEntry

java.lang.Object
org.apache.commons.math3.linear.RealVector.Entry
org.apache.commons.math3.linear.OpenMapRealVector.OpenMapEntry

Enclosing class:
  `OpenMapRealVector`

protected class OpenMapRealVector.OpenMapEntry extends RealVector.Entry
Implementation of `Entry` optimized for OpenMap. This implementation does not allow arbitrary calls to `setIndex` since the order in which entries are returned is undefined.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`OpenMapEntry(OpenIntToDoubleHashMap.Iterator iter)`
Build an entry from an iterator point to an element.

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndex()`
Get the index of the entry.
`double`
`getValue()`
Get the value of the entry.
`void`
`setValue(double value)`
Set the value of the entry.

### Methods inherited from class org.apache.commons.math3.linear.RealVector.Entry

`setIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OpenMapEntry

protected OpenMapEntry(OpenIntToDoubleHashMap.Iterator iter)
Build an entry from an iterator point to an element.

Parameters:
  `iter` - Iterator pointing to the entry.

## Method Details

### getValue

public double getValue()
Get the value of the entry.

Overrides:
  `getValue` in class `RealVector.Entry`
Returns:
  the value of the entry.

### setValue

public void setValue(double value)
Set the value of the entry.

Overrides:
  `setValue` in class `RealVector.Entry`
Parameters:
  `value` - New value for the entry.

### getIndex

public int getIndex()
Get the index of the entry.

Overrides:
  `getIndex` in class `RealVector.Entry`
Returns:
  the index of the entry.